<?xml version="1.0" encoding="GBK"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzjt.mapper.StorageServerMapper">

    <select id="queryStorageServerAll" resultType="com.hzjt.domain.Storageserver">
        select  SERVERID
        ,SERVERNAME        ,SERVERGROUP        ,SERVERTYPE
        ,SERVERSTATUS        ,SERVEURL        ,SERVEIP
        ,SERVERPORT        ,SERVERUSER        ,SERVERPASSWORD
        from StorageServer b
        <where>
            1 = 1
            <if test="serverstatus != null">
                and b.serverstatus = #{serverstatus}
            </if>
            <if test="servertype != null">
                and b.servertype = #{servertype}
            </if>
            <if test="servergroup != null">
                and b.servergroup = #{servergroup}
            </if>
        </where>
        order by b.createtime desc
    </select>

</mapper>